LMS + Spotify Plugin Needs Perl Topic is solved

Suggestions for features and software you would like to see in DietPi, goes here.
Post Reply
Edward
Posts: 93
Joined: Sun Apr 09, 2017 6:24 am

LMS + Spotify Plugin Needs Perl

Post by Edward »

Would it be possible to include perl module io::socket::ssl install when someone installs Logitech Media Server.

Apparently the Spotify plugin needs this in order to run.

Basically just adding apt install libio-socket-ssl-perl to the script that auto-magically installs logitech media server.

:D
Edward
Posts: 93
Joined: Sun Apr 09, 2017 6:24 am

Re: LMS + Spotify Plugin Needs Perl

Post by Edward »

thx
User avatar
MichaIng
Site Admin
Posts: 2261
Joined: Sat Nov 18, 2017 6:21 pm

Re: LMS + Spotify Plugin Needs Perl

Post by MichaIng »

@Edward
It has been a while but finally I updated our LMS installer to fix this issue as well:
- https://github.com/MichaIng/DietPi/comm ... 7736db0bb4
- Existing installs will be patched/updated on v6.23 update: https://github.com/MichaIng/DietPi/comm ... e0f47aea2d
- Changelog: https://github.com/MichaIng/DietPi/comm ... ebfd9a0b30

The new (nightly) package installs "libio-socket-ssl-perl" automatically as dependency.
Post Reply